Pin or unpin a project
PUT
/api/v1/projects/{projectId}/pin
const url = 'https://api.yggy.tech/api/v1/projects/example/pin';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"pinned":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.yggy.tech/api/v1/projects/example/pin \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "pinned": true }'Stores the caller’s pin on the project. Pinned projects are returned with the project list regardless of page offset. At most 12 projects can be pinned.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” projectId
required
string
Request Body
Section titled “Request Body ” Media type application/json
object
pinned
required
True pins the project for the caller. False clears the pin.
boolean
Example generated
{ "pinned": true}Responses
Section titled “ Responses ”Pin updated
Media type application/json
object
success
required
boolean
Example generated
{ "success": true}Unauthorized
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Project access denied
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Project not found
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Pin limit reached
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}